<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <!-- 图表标题 -->
    <RelativeLayout
        android:id="@+id/title_lay"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/main_title_bg_color"
        >

        <ImageView
            android:id="@+id/back_img"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/back"
            android:layout_centerVertical="true"
            android:layout_marginStart="15dp"
            android:contentDescription="back_btn" />

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="5dp"
            android:layout_centerInParent="true">

            <!-- goods name -->
            <TextView
                android:id="@+id/goods_name_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text = "商品名称"
                android:layout_centerHorizontal="true"
                android:textColor="@color/white"
                />

            <!-- goods code -->
            <TextView
                android:id="@+id/goods_code_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/goods_name_tv"
                android:text="cu2013"
                android:textColor="@color/white"
                />

            <!-- goods tag -->
            <TextView
                android:id="@+id/tag_type_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/goods_name_tv"
                android:layout_toEndOf="@+id/goods_code_tv"
                android:text="主"
                android:textColor="@color/white"
                android:background="@color/rma_yellow_text_color"
                android:layout_marginStart="3dp"
                android:layout_marginRight="3dp"
                />

            <!-- market tag -->
            <TextView
                android:id="@+id/tag_market_tag"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/goods_name_tv"
                android:layout_toEndOf="@+id/tag_type_tv"
                android:text="上期所"
                android:textColor="@color/white"
                android:background="@color/teal_200"
                android:layout_marginStart="3dp"
                android:layout_marginRight="3dp"
                />

        </RelativeLayout>

        <ImageView
            android:id="@+id/search_img"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:src="@mipmap/main_search"
            android:layout_marginEnd="15dp"
            />

    </RelativeLayout>

    <!-- 图表属性 -->
    <include
        android:id="@+id/chart_info_lay"
        layout="@layout/chart_info_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/title_lay" />

    <HorizontalScrollView
        android:layout_below="@+id/chart_info_lay"
        android:id="@+id/mtp_chart_head"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_time_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="1dip"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="分时图"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_time_chart_b"
                    android:layout_width="34dip"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_time_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_one_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="1分"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_one_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_one_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_five_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="5分"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_five_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_five_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_thirty_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="30分"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_thirty_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_thirty_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_one_hour_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="1时"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_one_hour_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_one_hour_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_two_hour_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="2时"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_two_hour_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_two_hour_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_four_hour_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:layout_alignParentTop="true"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="4时"
                    android:textColor="@color/p_normal_txt_color"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_four_hour_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_four_hour_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mtp_one_day_chart"
                    android:layout_width="40dip"
                    android:layout_height="wrap_content"
                    android:background="@color/p_global_bg_color"
                    android:gravity="center"
                    android:paddingBottom="5dip"
                    android:paddingTop="5dip"
                    android:text="日线"
                    android:textColor="@color/p_normal_txt_color"

                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/mtp_one_day_chart_b"
                    android:layout_width="34dp"
                    android:layout_height="3dip"
                    android:layout_alignBottom="@+id/mtp_one_day_chart"
                    android:layout_centerHorizontal="true"
                    android:background="@color/line_hint_color"
                    android:visibility="gone" />
            </RelativeLayout>
        </LinearLayout>
    </HorizontalScrollView>


    <TextView
        android:id="@+id/chart_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:paddingBottom="2dip"
        android:paddingLeft="10dip"
        android:paddingRight="15dip"
        android:paddingTop="2dip"
        android:layout_below="@+id/mtp_chart_head"/>

    <FrameLayout
        android:id="@+id/mtp_chart_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/chart_title"/>

</RelativeLayout>